namespace DocuMed.Domain.Entities.City;

public partial class City
{
    public static City Create(string name)
    {
        return new City(name);
    }

    public University AddUniversity(string universityName, string universityAddress)
    {
        var university = University.Create(universityName, universityAddress, Id);
        Universities.Add(university);
        return university;
    }

}

public partial class University
{
    public static University Create(string name, string address, Guid cityId)
    {
        return new University(name, address, cityId);
    }
}

public partial class Section
{
    public static Section Create(string name, string detail, Guid universityId)
    {
        return new Section(name, detail, universityId);
    }
}